# Kapitel 21 - Psychologiestudierende, Dramastudierende und kritisches Denken

# Installieren und Aktivieren des Pakets car
install.packages(car)
library(car)

# Definition der Person 1 - 20, dreimal hintereinander
person <- rep(seq(1,20),3)

# Definition der Variablen einzelkurs
einzelkurs <- c(1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,2,2)

# Änderung in einen Faktor einzelkurs mit Labeling der beiden Ausprägungen
einzelkurs <- factor(einzelkurs,levels = c(1,2),labels = c("Psychologie", "Drama"))

# Festlegung der Variablen kurs anhand der Variablen einzelkurs, dreimal hintereinander
kurs <- rep(einzelkurs,3)

# Angabe der Ausprägungen im kritischen Denken in den Jahren 1, 2 und 3
jahr1 <- c(55,56,59,58,59,66,67,71,62,60,43,46,46,48,50,52,55,70,64,65)
jahr2 <- c(58,60,62,60,64,70,72,75,66,72,46,47,48,48,51,56,58,68,67,70)
jahr3 <- c(61,64,67,65,65,72,75,78,64,79,49,49,51,51,56,62,60,71,73,75)

# Festlegung der Variablen jahr
jahr <- rep(c(1,2,3), each=20)

# Kombination der Jahreswerte aus den Jahren 1, 2 und 3 in der Variablen jahreswerte
jahreswerte <- c(jahr1, jahr2, jahr3)

# Erzeugung eines Datensatzes aus den Variablen
datensatz <- data.frame(person, kurs, jahr, jahreswerte)

# Änderung in einen Faktor mit Labeling
jahr <- factor(jahr,levels = c(1,2,3),labels = c("Erstes Jahr", "Zweites Jahr", "Drittes Jahr"))

# Installieren und Aktivieren des Pakets mosaic
install.packages("mosaic")
library(mosaic)

# Bestimmung von gruppenbezogenen Mittelwerten (mean) und Standardabweichungen (sd)
mosaic::mean(jahreswerte~jahr, groups=kurs)
mosaic::sd(jahreswerte~jahr, groups=kurs)

# Festlegung einzelner Datensätze für die drei Jahre
erstesjahr <- data.frame(einzelkurs, jahr1)
zweitesjahr <- data.frame(einzelkurs, jahr2)
drittesjahr <- data.frame(einzelkurs, jahr3)

# Berechnung der Levene-Tests auf Varianzhomogenität für die drei Jahre 
leveneTest(jahr1, group=einzelkurs, center=mean)
leveneTest(jahr2, group=einzelkurs, center=mean)
leveneTest(jahr3, group=einzelkurs, center=mean)

# Installieren und Aktivieren des Pakets afex
install.packages("afex")
require(afex)

# Berechnung der ANOVA
aov_ez("person", "jahreswerte", datensatz, between="kurs", within="jahr", anova_table = list(p.adjust.methods="bonf", es="pes"))

# Erzeugen des Interaktionsdiagramms
interaction.plot(x.factor=jahr, trace.factor=kurs, response=jahreswerte, fun=mean, trace.label="Kurs")
