# Kapitel - Filmgenre und Stimmungswerte

# Festlegung der 29 Teilnehmenden
Teilnehmende <- seq(1, 29)

# Festlegung der Stimmungswerte beim Genre Dokumentation
Dokumentation <- c(1,2,3,3,3,1,3,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,3,3,3,3,4)

# Festlegung der Stimmungswerte beim Genre Horror
Horror <- c(2,2,2,2,2,3,3,3,3,3,3,3,3,3,4,3,3,2,2,3,3,3,3,3,3,3,4,4,4)

# Festlegung der Stimmungswerte beim Genre Komödie
Komoedie <- c(1,1,2,2,3,3,3,4,5,5,5,5,5,5,5,4,4,3,2,4,5,4,5,4,5,5,5,4,3)

# Erzeugen eines Datensatzes
datensatz <-data.frame(Teilnehmende, Dokumentation, Horror, Komoedie)

# Umwandlung aus dem weiten in das lange Format
datensatzlang <- reshape(data=datensatz, idvar="Teilnehmende", timevar="Filmgenre", varying = c("Dokumentation", "Horror", "Komoedie"), v.name=c("Stimmungswert"), direction="long")

# Installieren und Aktivieren des Pakets rstatix
install.packages("rstatix")
library(rstatix)

# Friedman-Test
friedman_test(datensatzlang, Stimmungswert~Filmgenre|Teilnehmende)

# Effektstärke des Friedman-Tests
friedman_effsize(datensatzlang, Stimmungswert~Filmgenre|Teilnehmende)

# Installieren und Aktivieren des Paktes pgirmess
install.packages("pgirmess")
library(pgirmess)

# Multiple Vergleiche 
friedmanmc(datensatzlang$Stimmungswert, datensatzlang$Filmgenre, datensatzlang$Teilnehmende)
