# Kapitel - Cowboyfavorisierung, Geschlecht und Intelligenz

# Festlegen der Variable cowboy
cowboy <- c("John Wayne", "John Wayne","John Wayne","John Wayne","John Wayne","John Wayne","John Wayne","John Wayne","John Wayne","John Wayne","Clint Eastwood", "Clint Eastwood", "Clint Eastwood", "Clint Eastwood", "Clint Eastwood", "Clint Eastwood", "Clint Eastwood", "Clint Eastwood", "Clint Eastwood", "Clint Eastwood", "keiner", "keiner", "keiner", "keiner", "keiner", "keiner", "keiner", "keiner", "keiner", "keiner")

# Umwandlung in einen Faktor
cowboy <- factor(cowboy)

# Festlegen der Intelligenzwerte der Teilnehmenden
intelligenzwert <- c(66,64,66,47,66,71,76,84,72,68,65,53,73,80,70,81,46,88,72,53,72,81,69,75,55,60,61,73,54,65)

# Festlegen des Geschlechts der Teilnehmenden
geschlecht <- c(2,2,2,2,2,1,1,1,1,1,1,1,2,2,1,2,1,2,2,1,1,2,1,1,1,1,2,2,2,2)

# Umwandlung in einen Faktor
geschlecht <- factor(geschlecht)

# Festlegen der Ausprägungen des Faktors
levels(geschlecht) <- c("männlich ", "weiblich")

# Erzeugen eines Datensatzes aus den Faktoren und Variablen
datensatz <- data.frame(intelligenzwert, cowboy, geschlecht)

# Installieren und Aktivieren des Pakets psych
install.packages("psych")
library(psych)

# Gruppenbezogene deskriptive Statistiken
describeBy(intelligenzwert~cowboy+geschlecht, data=datensatz)

# Installieren und Aktivieren des Pakets car
install.packages("car")
library(car)

# Levene-Test
leveneTest(intelligenzwert~cowboy*geschlecht, data=datensatz)

# Installieren und Aktivieren des Pakets rstatix
install.packages("rstatix")
library(rstatix)

# ANOVA
anova_test(intelligenzwert~cowboy*geschlecht, data=datensatz, effect.size="pes", detailed = TRUE)

# Interaktionsplot
interaction.plot(x.factor = cowboy, trace.factor = geschlecht, response = intelligenzwert, fun = mean, trace.label = "Geschlecht", xlab = "Der bevorzugte Cowboy", ylab = "Geschätzte Randmittel")

# Boxplot
boxplot(intelligenzwert~cowboy+geschlecht, data=datensatz)