# Kapitel - Geschlecht und Statistikangst

# Installieren und Aktivieren des Pakets psych
install.packages("psych")
library(psych)

# Festlegen der Variable Geschlecht
Geschlecht  <- c(1,2,1,2,2,1,2,1,2,2,2,1,2,2,1,1,1,2,2,1,1,1,1,1,1,1,2,2,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2)

# Eingeben der Ausprägungen von Statistikangst
Statistikangst <- c(3,4,4,4,4,5,5,5,5,5,6,6,6,6,7,7,7,7,7,8,5,6,5,6,5,8,8,8,8,8,8,8,8,7,7,7,6,6,6,5,5,5,4,4,4,3,3,3,2,2,2,4,4,2,2,2,3,3,4,4,5,5)

# Erzeugen eines Datensatzes
datensatz <- data.frame(Geschlecht, Statistikangst)

# Gruppenbezogene deskriptive Statistiken
describeBy(Statistikangst, Geschlecht)

install.packages("car")
library(car)

# Levene-Tests
leveneTest(Statistikangst, Geschlecht)

# Levene-Tests mit center=mean
leveneTest(Statistikangst, Geschlecht, center = mean)

# Aufteilen des Datensatzes
Männer <- subset(datensatz, datensatz$Geschlecht == 1)
Frauen <- subset(datensatz, datensatz$Geschlecht == 2)

# Histogramm der Statistikangstausprägungen
hist(Männer$Statistikangst, breaks=10)
hist(Frauen$Statistikangst, breaks=8)

# Installieren und Aktivieren des Pakets DescTools
install.packages("DescTools")
library(DescTools)

# Q-Q-Diagramme der Statistikangstausprägungen
PlotQQ(Männer$Statistikangst)
PlotQQ(Frauen$Statistikangst)

# Shapiro-Wilk-Tests
shapiro.test(Frauen$Statistikangst)
shapiro.test(Männer$Statistikangst)

# T-Test
t.test(Statistikangst~Geschlecht, var.equal = TRUE, paired = FALSE, alternative = "two.sided")

# Installieren und Aktivieren des Pakets rstatix
install.packages("rstatix")
library(rstatix)

# T-test
t_test(data=datensatz, Statistikangst~Geschlecht, var.equal = TRUE, paired = FALSE, alternative = "two.sided")

# Installieren und Aktivieren des Pakets lsr
install.packages("lsr")
library(lsr)

# Cohens d - Variante 1
cohensD(Statistikangst~Geschlecht)

# Cohens d - Variante 2
cohen.d(Statistikangst, Geschlecht)

# Cohens d - Variante 3
CohenD(data=datensatz, Statistangst,Geschlecht)

# Installieren und Aktivieren des Pakets effectsize
library(effectsize)

# Automatische Berechnung der Effektgröße/stärke
effectsize::effectsize(t.test(Statistikangst~Geschlecht, var.equal = TRUE, paired = FALSE, alternative = "two.sided"))