# Kapitel 19 - IQ-Messungen mit Koffein und Hintergrundmusik

# Installieren und Aktivieren des Pakets car
install("car")
library(car)

# Anlegen der Teilnehmendennummern 1 bis 17
Teilnehmende <- seq(1, 17)

# Vervierfachung des Vektors
Teilnehmendennr <- rep(Teilnehmende, 4)

# Bedingung mit Koffein
Koffein <- rep(1, 17)

# Bedingungen ohne Koffein
KeinKoffein <- rep(0,17)

# Bedingung Musik
Musik <- rep(1, 17)

# Bedingung ohne Musik
KeineMusik <- rep(0,17)

# Festlegen der Stimulanzeinflüsse
Stimulanz <- c(Koffein, Koffein, KeinKoffein, KeinKoffein)

# Stimulanz als Faktor 
Stimulanz <- as.factor(Stimulanz)

# Bezeichnung der Ausprägungen
levels(Stimulanz) <- c("KeinKoffein", "Koffein")

# Das gleiche für Hintergrundmusik
Hintergrundmusik <- c(Musik, KeineMusik, Musik, KeineMusik)
Hintergrundmusik <- as.factor(Hintergrundmusik)
levels(Hintergrundmusik) <- c("KeineMusik", "Musik")

# Hinterlegung der IQ-Messwerte je Kombination
Koffein_Musik <- c(78,83,62,75,69,58,78,52,67,65,73,78,67,80,74,75,68)
Koffein_KeineMusik <- c(82,83,61,77,68,62,75,57,69,68,77,79,69,82,77,76,72)
KeinKoffein_Musik <- c(77,82,64,73,70,58,78,54,79,66,72,77,65,79,73,73,68)
KeinKoffein_KeineMusik <- c(79,82,63,74,70,57,79,52,68,64,74,77,68,79,75,74,69)

# IQ-Werte der Kombinationen in einen einzlenen Vektor speichern
IQ_Wert <- c(Koffein_Musik, Koffein_KeineMusik, KeinKoffein_Musik, KeinKoffein_KeineMusik)

# Datensatz aus den Faktoren und Variablen erstellen
datensatzlang <- data.frame(Teilnehmendennr, Stimulanz, Hintergrundmusik, IQ_Wert)

# Installieren und Aktivieren des Pakets rstatix
install.packages("rstatix")
library(rstatix)

# Berechnung der ANOVA
anova_test(IQ_Wert ~ Stimulanz * Hintergrundmusik + Error(Teilnehmendennr/(Stimulanz*Hintergrundmusik)), data=datensatzlang, effect.size = "pes")

# Erzeugen des Interaktionsdiagramms
interaction.plot(x.factor = datensatzlang$Hintergrundmusik,
                   trace.factor = datensatzlang$Stimulanz, 
                   response = datensatzlang$IQ_Wert, 
                   fun = mean, 
                   ylab = "Geschätzte Randmittel",
                   xlab = "Musik",
                   col = c("red", "blue"),
                   lty = 1, #line type
                   lwd = 2, #line width
                   trace.label = "Koffein")