# Kontaktfreudigkeit von Historikern, Psychologen und Physikern

# Jeder Beruf jeweils 30 Mal
beruf <- c(rep(1, 30), rep(2,30), rep(3, 30))

# Beruf als Faktor definieren
beruf <- factor(beruf)

# Zuordnung der Berufe zu den Ausprägungen
levels(beruf) <- c("Historiker", "Psychologen", "Physiker")

# Daten der Kontaktfreudigkeit
kontaktfreudigkeit <- c(73,50,18,90,57,25,32,19,72,12,10,10,49,11,10,40,66,68,84,57,12,12,30,40,49,31,23,19,63,8,66,40,62,65,61,60,27,54,52,56,38,48,51,45,64,40,78,55,90,63,47,11,60,68,55,70,17,66,41,70,23,39,5,5,35,55,48,49,17,40,20,8,50,48,13,90,28,54,52,4,33,9,12,33,68,27,41,69,10,95)

# Erzeugen des Datensatzes aus dem Faktor beruf und der Variablen kontaktfreudigkeit
datensatz <- data.frame(beruf, kontaktfreudigkeit)

# Gruppenbezogene deskriptive Statistiken
describeBy(kontaktfreudigkeit, beruf)

# Speichern der ANOVA im Objekt modell
modell <- aov(kontaktfreudigkeit~beruf)

# Ausgabe der Ergebnisse der ANOVA
summary(modell)

# Berechnung der Tukey HSD
TukeyHSD(modell)

# Berechnung des Dunnett-Tests
DunnettTest(kontaktfreudigkeit~beruf, control="Psychologen")
