# Kapitel - Kontingenztabelle nottalk, notthink, Kontingenztabelle aus Matrix

# Festlegen der Variablen nottalk
nottalk <- c(0,0,0,3,0,0,3,3,0,0,5,0,0,0,0,3,0,5,0,0,0,3,0,0,0,0,0,0,0,0)

# Festlegen der Variablen notthink
notthink <- c(0,0,0,3,1,0,0,0,0,0,5,0,0,0,0,0,0,3,0,0,0,5,0,0,0,3,0,0,0,0)

# Erzeugen der Kontingenztabelle
kontingenztabelle <- data.frame(nottalk, notthink)

# Diagramm
plot(nottalk, notthink)

# Kendall-Korrelation 
cor(nottalk, notthink, use = "everything",  method = "kendall")

# Signifikanz der Kendall-Korrelation
cor.test(nottalk, notthink, method = "kendall")

# Chi-Quadrat-Tests
chisq.test(kontingenztabelle)
chisq.test(kontingenztabelle, simulate.p.value=TRUE, B=5000)

# Kontingenztabelle aus Matrix erzeugen
kontingenztabelle <- matrix(c(39, 60, 31,20), nrow = 2, ncol = 2, byrow = TRUE, dimnames = list(c("präzise erinnert", "nicht präzise erinnert"), c("männlich", "weiblich")))
kontingenztabelle

# Installieren und Aktivieren des Pakets DescTools
install.packages("DescTools")
library(DescTools)

# Berechnung der Odds Ratio aus der Kontingenztabelle
OddsRatio(kontingenztabelle)

# Installieren und Aktivieren des Pakets vcd
install.packages("vcd")
library(vcd)

# Deskriptive Statistiken der Kontingenztabelle
assocstats(kontingenztabelle)

# Erzeugen der Kontingenztabelle aus einer Matrix
kontingenztabelle <- matrix(c(60, 5, 15,20), nrow = 2, ncol = 2, byrow = TRUE, dimnames = list(c("vorher_ja", "vorher_nein"), c("nachher_ja", "nachher_nein")))

# McNemar-Test
mcnemar.test(nottalk, notthink, correct=TRUE)