# Kapitel - Psychologen, Psychiater und Vegetotherapie

# Festlegen der Gruppen
Gruppe <-         c(1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2)

# Gruppe als Faktor
Gruppe <- factor(Gruppe)

# Verbalisierung der Faktorausprägungen
levels(Gruppe) <- c("Psychologen", "Psychiater")

# Angabe der Einstufung der Vegetotherapie
Vegetotherapie <- c(1,5,3,NA,NA,1,0,2,1,0,2,1,0,0,4,3,2,1,3,0,3,2,3,3)

# Erzeugen eines Datensatzes
datensatz <- data.frame(Gruppe, Vegetotherapie)

# Installieren und Aktivieren des Pakets psych
install.packages("psych")
library(psych)

# Gruppenbezogene deskriptive Statistiken
describeBy(Vegetotherapie, Gruppe)

# Installieren und Aktivieren des Pakets coin
install.packages("coin")
library(coin)

# Berechnung mit wilcox_test
wilcox_test(Vegetotherapie~Gruppe, data=datensatz, distribution="exact", correct=FALSE)

# Berechnung mit wilcox.test
wilcox.test(Vegetotherapie~Gruppe, data=datensatz, exact=FALSE, correct=FALSE)

# Berechnung der Effektgröße mit Piping
datensatz %>% wilcox_effsize(Vegetotherapie~Gruppe, ref.group = "all", paired=FALSE)